package com.zjrs.zwnw.dbgl.bpo.impl;

import org.mohrss.leaf.core.framework.domain.bpo.impl.BPOImpl;
import org.mohrss.leaf.core.framework.persistens.PageResult;
import com.zjrs.zwnw.dbgl.blo.DbrwglPLO;
import com.zjrs.zwnw.dbgl.bpo.DbrwglBPO;
import com.zjrs.zwnw.dbgl.dto.*;
import com.zjrs.zwnw.dbgl.po.RsdbgldbrwPO;
import com.zjrs.zwnw.dbgl.po.RsdbgldbxmPO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class DbrwglBPOimpl extends BPOImpl implements DbrwglBPO {

    @Autowired
    private DbrwglPLO dbrwPLO;

    @Override
    public PageResult getDbrwList(DbrwglDbrwQueryDTO dto, Integer pagenum, Integer pagesize){
        return this.dbrwPLO.getDbrwList(dto,pagenum,pagesize);
    }

    @Override
    public String saveDbrw(DbrwglDbrwUDTO dto){
        return this.dbrwPLO.saveDbrw(dto);
    }

    @Override
    public void updateDbrwPf(DbrwglDbrwCommDTO dto){
        this.dbrwPLO.updateDbrwPf(dto);
    }

    @Override
    public void updateDbrwJs(DbrwglDbrwCommDTO dto){
        this.dbrwPLO.updateDbrwJs(dto);
    }

    @Override
    public void deleteDbrwById(DbrwglDbrwCommDTO dto){
        this.dbrwPLO.deleteDbrwById(dto);
    }

    @Override
    public void saveDbrwpj(DbrwglDbrwUPjDTO dto){
        this.dbrwPLO.saveDbrwpj(dto);
    }

    @Override
    public void saveXmxx(DbrwglXmxxSaveDTO dto){
        this.dbrwPLO.saveXmxx(dto);
    }

    @Override
    public void delXmxx(DbrwglXmxxCommDTO dto){
        this.dbrwPLO.delXmxx(dto);
    }

    @Override
    public void saveXmxxQtbm(DbrwglXmxxCommDTO dto){
        this.dbrwPLO.saveXmxxQtbm(dto);
    }

    @Override
    public void saveXmxxXbbm(DbrwglXmxxCommDTO dto){
        this.dbrwPLO.saveXmxxXbbm(dto);
    }

    @Override
    public RsdbgldbxmPO getXmxxById(DbrwglXmxxCommDTO dto){
        return this.dbrwPLO.getXmxxById(dto);
    }
    @Override
    public RsdbgldbrwPO getDbrwxxById(DbrwglCommDTO dto){
        return this.dbrwPLO.getDbrwxxById(dto);
    }

    @Override
    public PageResult getXmxxList(DbrwglXmxxQueryDTO dto, Integer pagenum, Integer pagesize){
        return this.dbrwPLO.getXmxxList(dto,pagenum,pagesize);
    }

    @Override
    public String getXmxxQtbmByXmid(DbrwglXmxxCommDTO dto){
        return this.dbrwPLO.getXmxxQtbmByXmid(dto);
    }

    @Override
    public String getXmxxXbbmByXmid(DbrwglXmxxCommDTO dto){
        return this.dbrwPLO.getXmxxXbbmByXmid(dto);
    }

}
